BitMagic-C++: bm::bit_vitor_callback_adaptor< VCBT, size_type > Struct Template Reference

BitMagic-C++

Public Types | Public Member Functions | Data Fields
bm::bit_vitor_callback_adaptor< VCBT, size_type > Struct Template Reference

private adaptor for C-style callbacks More...

`#include <bmalgo.h>`

## Public Types
typedef VCBT | bit_visitor_callback_type

## Public Member Functions
| bit_vitor_callback_adaptor (void *h, bit_visitor_callback_type cb_func)
void | add_bits (size_type offset, const unsigned char *bits, unsigned size)
void | add_range (size_type offset, size_type size)

## Data Fields
void * | handle_
bit_visitor_callback_type | func_

## Detailed Description

### template<class VCBT, class size_type>
struct bm::bit_vitor_callback_adaptor< VCBT, size_type >

private adaptor for C-style callbacks

Definition at line 287 of file bmalgo.h.

## Member Typedef Documentation

## ◆ bit_visitor_callback_type

template<class VCBT , class size_type >

typedef VCBT bm::bit_vitor_callback_adaptor< VCBT, size_type >::bit_visitor_callback_type

Definition at line 289 of file bmalgo.h.

## Constructor & Destructor Documentation

## ◆ bit_vitor_callback_adaptor()

template<class VCBT , class size_type >

bm::bit_vitor_callback_adaptor< VCBT, size_type >::bit_vitor_callback_adaptor | ( | void * | h,
|  | bit_visitor_callback_type | cb_func
| ) |  |
| inline

Definition at line 291 of file bmalgo.h.

## Member Function Documentation

## ◆ add_bits()

template<class VCBT , class size_type >

void bm::bit_vitor_callback_adaptor< VCBT, size_type >::add_bits | ( | size_type | offset,
|  | const unsigned char * | bits,
|  | unsigned | size
| ) |  |
| inline

Definition at line 295 of file bmalgo.h.

References bm::bit_vitor_callback_adaptor< VCBT, size_type >::func_, and bm::bit_vitor_callback_adaptor< VCBT, size_type >::handle_.

## ◆ add_range()

template<class VCBT , class size_type >

void bm::bit_vitor_callback_adaptor< VCBT, size_type >::add_range | ( | size_type | offset,
|  | size_type | size
| ) |  |
| inline

Definition at line 300 of file bmalgo.h.

References bm::bit_vitor_callback_adaptor< VCBT, size_type >::func_, and bm::bit_vitor_callback_adaptor< VCBT, size_type >::handle_.

## Field Documentation

## ◆ func_

template<class VCBT , class size_type >

bit_visitor_callback_type bm::bit_vitor_callback_adaptor< VCBT, size_type >::func_

Definition at line 307 of file bmalgo.h.

Referenced by bm::bit_vitor_callback_adaptor< VCBT, size_type >::add_bits(), and bm::bit_vitor_callback_adaptor< VCBT, size_type >::add_range().

## ◆ handle_

template<class VCBT , class size_type >

void* bm::bit_vitor_callback_adaptor< VCBT, size_type >::handle_

Definition at line 306 of file bmalgo.h.

Referenced by bm::bit_vitor_callback_adaptor< VCBT, size_type >::add_bits(), and bm::bit_vitor_callback_adaptor< VCBT, size_type >::add_range().

The documentation for this struct was generated from the following file:

- bmalgo.h